## org.exist.xquery.value.test
Class NumericOpPromotionTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.value.test.NumericOpPromotionTest

All Implemented Interfaces:
  junit.framework.Test

public class NumericOpPromotionTest
extends junit.framework.TestCase

Author:
  Piotr Kaminski

Constructor Summary
`NumericOpPromotionTest(java.lang.String name, ComputableValue operand)`

Method Summary
`static junit.framework.Test` `suite()`
`void` `testIntegerDiv()`
`void` `testIntegerMinus()`
`void` `testIntegerMult()`
`void` `testIntegerPlus()`
`java.lang.String` `toString()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericOpPromotionTest

    public NumericOpPromotionTest(java.lang.String name,
                                  ComputableValue operand)

Method Detail

### suite

    public static junit.framework.Test suite()
                                      throws XPathException

  Throws:
    `XPathException`

### testIntegerDiv

    public void testIntegerDiv()
                        throws XPathException

  Throws:
    `XPathException`

### testIntegerMult

    public void testIntegerMult()
                         throws XPathException

  Throws:
    `XPathException`

### testIntegerPlus

    public void testIntegerPlus()
                         throws XPathException

  Throws:
    `XPathException`

### testIntegerMinus

    public void testIntegerMinus()
                          throws XPathException

  Throws:
    `XPathException`

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.